<? 
//Technology: list of available technologies (see cw_technology table)
DEFINE("SIP",     1); 
DEFINE("IAX2",    2); 
DEFINE("MISDN",   3); 
//DEFINE("SRX",     4); 
DEFINE("ZAP",     5); 

//Technology Section
DEFINE("SECTION_GENERAL",     1); 
DEFINE("SECTION_DEFAULT",     2);

//Entity: type of entries
DEFINE("EXTENSION",         1);
DEFINE("PROVIDER_ACCOUNT",  2);
DEFINE("OFFICE",            4);
DEFINE("PHONENUMBER",       6);
DEFINE("QUEUE",             7);
DEFINE("MISDN_GROUP",       8);
DEFINE("MACRO",             9);
DEFINE("APPLICATION",       10);
DEFINE("CHANNEL",           11);
DEFINE("ZAPATA_GROUP",      12);
DEFINE("MEETME",            13);
DEFINE("AGENT",             14);
DEFINE("VIRTUAL_EXTENSION", 15);
DEFINE("FAX",               16);

//Groups
DEFINE("GROUP_OF_ALL",          1);
DEFINE("GROUP_OF_EXTENSION",    2);
DEFINE("GROUP_OF_OFFICE",       3);
DEFINE("GROUP_OF_RESOURCE",     4);
DEFINE("GROUP_OF_PHONENUMBER",  5);
DEFINE("GROUP_OF_APPLICATION",  6);

//Options
//DEFINE("OPTION_ISDN",        "isdn");
//DEFINE("OPTION_ISDN_GROUPS", "isdn_general");
//DEFINE("OPTION_LAN",         "lan");
DEFINE("OPTION_MOH",         "MOH");
//DEFINE("OPTION_SIP",         "sip");
//DEFINE("OPTION_IAX",         "iax");
DEFINE("OPTION_EXTENSION_GENERAL",         "dialplan_general");
DEFINE("OPTION_EXTENSION_GLOBALS",         "dialplan_globals");
//DEFINE("OPTION_ZAPATA",        "zapata");
//DEFINE("OPTION_ZAPATA_GROUPS", "zapata_general");

//Action
DEFINE("ACTION_GROUP",       1);
DEFINE("ACTION_QUEUE",       2);
DEFINE("ACTION_IVR",         3);
DEFINE("ACTION_FAX",         4);

//Web User
DEFINE("USER_STANDARD",       1);
DEFINE("USER_CONFIGURATOR",   2);
DEFINE("USER_SUPERUSER",      3);

//Rules
DEFINE("RULE_OUTGOING",       1);
DEFINE("RULE_INCOMING",       2);

//Rules Action
DEFINE("RULE_ALLOW",        1);
DEFINE("RULE_DENY",         2);

//Caller type
DEFINE("CALLER_ALL",         1);
DEFINE("CALLER_ANONYMOUS",   2);
DEFINE("CALLER_ID",          3);
DEFINE("CALLER_CLASS",       4);
DEFINE("CALLER_GROUP",       5);

//Ivr node type
DEFINE("IVR_NODE",          1);
DEFINE("IVR_LEAF",          2);
DEFINE("IVR_LINK",          3);

?>
